# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      test_case.py
# Author:       lin
# Datetime:     2024/12/27 09:38
# Description:
# 
# ---------------------------------------------------------------------------
from allure_pytest.utils import allure_label

from APITest_1226 import log
from APITest_1226.common.read_excel import ReadExcel
import pytest
import allure

dict_case = ReadExcel("lisi").case_dict()

class TestBpm:
    @log
    @pytest.mark.parametrize("url,mime,req,case,expect,sql,sql_type,update_key,level,title_name,module,api",dict_case)
    def test_bpm(self,req2_fix,url,mime,req,case,expect,sql,sql_type,update_key,level,title_name,module,api):
        res = req2_fix.req_all(req_url=url, req_mime=mime, req_req=req, req_case=case,sql_type=sql_type, sql_data=sql, update_key=update_key)
        allure.dynamic.feature(module)
        allure.dynamic.story(api)
        allure.dynamic.title(title_name)
        allure.dynamic.severity(level)
        try:
            for key in expect:
                assert res.json().get(key) ==expect[key]
        except AssertionError :
            raise AssertionError(f"\n\t断言失败：失败的用例为{case},期望数据为：{expect}，服务器返回的数据：{res.text}")
        except Exception as e:
            raise e




if __name__ == '__main__':
    res =TestBpm()
